Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/accounting/accounts-payable/payments

Prev Next
Patch
/public/v1/accounting/accounts-payable/payments

Partial update AP Payments in batch

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Body parameters
Expand All
object
payments
Array of object (R365.Accounting.AccountsPayable.Contracts.Payment.Apis.Requests.PaymentPatchItem)

The collection of AP payments to approve or reject.

object
id
string (uuid)

Payment identifier to approve or reject.

approvalStatus
string

Approval status to set on the payment. Valid values: Approved, Rejected.

invoiceIds
Array of string

Invoices to associate with this payment.

string (uuid)
creditMemoIds
Array of string

Credit memos to associate with this payment.

string (uuid)
Responses
207

Multi-Status – Batch operation result containing status for each payment in the request.

Expand All
object
results
Array of object (R365.Accounting.AccountsPayable.Contracts.Payment.Apis.Responses.PaymentPatchResult)

The result for each payment in the request.

object
requestIndex
integer (int32)

Zero-based index of the payment in the original request.

id
string (uuid)

Payment identifier.

status
string

Result status of the operation. Valid values: Unknown, Succeeded, Failed.

errorCode
string | null

Error code if the operation failed, otherwise null.

errorMessage
string | null

Error message if the operation failed, otherwise null.

400

Bad request, one or more validation errors occurred.

401

Unauthorized – authentication is required and has failed or has not been provided.

403

Forbidden – the caller does not have permission to perform this operation.